Bug 336351 - Missing kernel-xen-debuginfo rpm on F-8 and Rawhide
Missing kernel-xen-debuginfo rpm on F-8 and Rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On: 245420
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 12:22 EDT by Eduardo Habkost
Modified: 2009-12-14 15:38 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.21-2952.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 20:33:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Habkost 2007-10-17 12:22:34 EDT
Cloning bug #245420 for Rawhide and Fedora 8. The debuginfo stuff is really 
different on Fedora 8 and Rawhide and need additional kernel patches, as 
documented on http://fedoraproject.org/wiki/Releases/FeatureBuildId


+++ This bug was initially created as a clone of Bug #245420 +++

Description of problem:
I can't seem to find the kernel-xen-debuginfo rpm in Fedora 7. Is there one in
the first place? I can't find it in the public repo. I also tried the 
following
command as well, but it couldn't find one too. I can't find anything on 
bugzilla
or the F7 release notes.

$ uname -r
2.6.20-2925.11.fc7xen
$ sudo yum -y --enablerepo=fedora-debuginfo --enablerepo=updates-debuginfo
install kernel-xen-debuginfo-`uname -r` kernel-xen-debuginfo-common-`uname -r`
Loading "installonlyn" plugin
Setting up Install Process
Parsing package install arguments
Nothing to do

Version-Release number of selected component (if applicable):
$ rpm -qa | grep kernel
kernel-2.6.21-1.3228.fc7
kernel-xen-2.6.20-2925.9.fc7
kernel-xen-2.6.20-2925.11.fc7
kernel-headers-2.6.21-1.3228.fc7

How reproducible:
Always.

Steps to Reproduce:
1. yum -y --enablerepo=fedora-debuginfo --enablerepo=updates-debuginfo install
kernel-xen-debuginfo-`uname -r` kernel-xen-debuginfo-common-`uname -r`
  
Actual results:
There isn't a kernel-xen-debuginfo rpm.

Expected results:
There should be a kernel-xen-debuginfo rpm.

Additional info:

-- Additional comment from bugzilla@redhat.com on 2007-07-24 21:42 EST --
change QA contact
Comment 1 Eduardo Habkost 2007-11-12 11:04:04 EST
Rawhide now has a new spec (pulled from non-xen kernel) and -debuginfo 
enabled. Fedora 8 should get the new spec and -debuginfo packages on an 
update, soon.
Comment 2 Fedora Update System 2007-11-12 19:13:01 EST
kernel-xen-2.6-2.6.21-2951.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel-xen-2.6'
Comment 3 Fedora Update System 2007-11-20 13:02:54 EST
kernel-xen-2.6-2.6.21-2952.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel-xen-2.6'
Comment 4 Fedora Update System 2007-11-28 20:33:39 EST
kernel-xen-2.6-2.6.21-2952.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.